#ifndef CONFIG_H
#define CONFIG_H

// FFT transformation parameters
#define FFT_EXPONENT 11 // ATTENTION: when you change this, run gen_lut.py with this value as argument
#define BLOCK_LEN (1 << FFT_EXPONENT) // 2^FFT_EXPONENT
#define SAMPLE_RATE 48000
#define DATALEN (BLOCK_LEN / 2)

typedef float value_type;

#endif // CONFIG_H
